<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/layout_recent"
        android:layout_width="match_parent"
        android:layout_height="177dp"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/recent_img"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            android:src="@mipmap/ic_launcher" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="25dp"
            android:background="@drawable/label_recent"
            android:gravity="center"
            android:paddingStart="11dp"
            android:paddingEnd="11dp"
            android:text="@string/Recent"
            android:textColor="@color/white"
            android:textSize="12sp" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@drawable/icon_thumb_video_play" />

        <RelativeLayout
            android:id="@+id/recent_video"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="@drawable/name_background"
            android:paddingStart="12dp"
            android:paddingTop="7dp"
            android:paddingBottom="7dp">


            <TextView
                android:id="@+id/recent_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="name"
                android:textColor="@color/white"
                android:textSize="16sp" />


            <TextView
                android:id="@+id/recent_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/recent_name"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="12sp" />

        </RelativeLayout>


    </com.google.android.material.card.MaterialCardView>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/video_recycler"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/layout_recent"
        android:layout_marginTop="10dp" />

    <LinearLayout
        android:id="@+id/layout_empty"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:layout_below="@id/layout_recent"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="360dp"
            android:layout_height="140dp"
            android:src="@drawable/bg_empty" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:text="@string/there_s_not"
            android:textColor="@color/color_878787"
            android:textSize="18sp" />
    </LinearLayout>


</RelativeLayout>